> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sinancode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Nano Banana Pro

> 使用 Nano Banana Pro 模型生成高质量图片（异步），支持更高分辨率和更多高级特性

使用 [Google DeepMind](https://deepmind.google) 的 Nano Banana Pro (Gemini 3 Pro Image) 模型生成和编辑图片。

**模型特点：**

* **4K 超高分辨率** - 支持生成 2K/4K 高清图像
* **顶级文字渲染** - 业界最佳的图像内文字生成能力，支持多语言
* **实时知识** - 可调用 Google 搜索验证事实，基于实时数据生成图像
* **专业级控制** - 支持镜头角度、光线、景深、对焦、调色等专业参数


## OpenAPI

````yaml /cn/openapi.yaml POST /generate/k/nano-banana-pro
openapi: 3.0.0
info:
  contact:
    email: support@sinancode.com
    name: API Support
    url: https://sinancode.com/support
  description: AI 模型任务调度平台 API
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  termsOfService: https://sinancode.com/terms-of-service
  title: TikTomato API
  version: '1.0'
servers:
  - url: https://api.sinancode.com/v1
    description: Production server
security: []
paths:
  /generate/k/nano-banana-pro:
    post:
      tags:
        - public
      summary: Nano Banana Pro 图片生成
      description: 使用 Nano Banana Pro 模型生成高质量图片（异步），支持更高分辨率和更多高级特性
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ka.CreateNanoBananaProTaskRequest'
        description: Task parameters
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.CreateTaskResponse'
        '400':
          description: Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
      security:
        - AccessToken: []
components:
  schemas:
    ka.CreateNanoBananaProTaskRequest:
      properties:
        aspect_ratio:
          default: '1:1'
          description: AspectRatio 图片宽高比（可选，默认 1:1）
          enum:
            - '1:1'
            - '2:3'
            - '3:2'
            - '3:4'
            - '4:3'
            - '4:5'
            - '5:4'
            - '9:16'
            - '16:9'
            - '21:9'
          example: '1:1'
          type: string
        image_input:
          description: ImageInput 输入图片列表（可选，支持最多8张图片，每张最大10MB）
          example:
            - ''
          items:
            type: string
          maxItems: 8
          type: array
        output_format:
          default: png
          description: OutputFormat 输出图片格式（可选，默认 png）
          enum:
            - png
            - jpg
          example: png
          type: string
        prompt:
          description: Prompt 图片生成的文本描述（必填，最大5000字符）
          example: >-
            Comic poster: cool banana hero in shades leaps from sci-fi pad. Six
            panels: 1) 4K mountain landscape, 2) banana holds page of long
            multilingual text with auto translation, 3) Gemini 3 hologram for
            search/knowledge/reasoning, 4) camera UI sliders for angle focus
            color, 5) frame trio 1:1-9:16, 6) consistent banana poses. Footer
            shows Google icons. Tagline: Nano Banana Pro now on Kie AI.
          maxLength: 5000
          minLength: 1
          type: string
        resolution:
          default: 1K
          description: Resolution 图片分辨率（可选，默认 1K）
          enum:
            - 1K
            - 2K
            - 4K
          example: 1K
          type: string
      required:
        - prompt
      type: object
    dto.CreateTaskResponse:
      properties:
        task_id:
          description: Task ID
          example: 01234567-89ab-cdef-0123-456789abcdef
          type: string
      required:
        - task_id
      type: object
    apierror.ErrorResponse:
      properties:
        error_code:
          description: Machine-readable error code (e.g. TASK.INVALID_PARAMS)
          type: string
        message:
          description: User-friendly error message
          type: string
      type: object
  securitySchemes:
    AccessToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 请使用您的 API Token 进行认证

````